<?php include('casa/setup.casa.php');
$CodigoTraspaso = DataForms::GET('id');
?>		
<br><br>
<div class="table-responsive">
<table width="" class="display table table-striped table-hover">
<thead>
	<tr>													
		<th>descripción</th>
		<th>stock</th>
		<th>requerido</th>
		<th>opciones</Th>
	</tr>
</thead>											
<tbody>
<?php
	$sql = "SELECT * FROM inventarios_productos prod, inventarios_solicitartraspasos tras
											WHERE prod.prod_codigo = tras.prod_codigo
											AND tras.solic_codigo = '$CodigoTraspaso'											
											ORDER BY tras.solic_id;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;																																				
											//datos trapasos												
											$traspa_id = $db->dbField('solic_id');
											$traspa_codigo = $db->dbField('solic_codigo');
											$prod_codigo = $db->dbField('prod_codigo');
											$prod_cantidad = $db->dbField('solic_cantidadcajas');
											$traspa_usid = $db->dbField('us_id');					
											//productos
											$prod_id = $db->dbField('prod_id');
											$prod_item = $db->dbField('prod_item');
											$prod_nombre = $db->dbField('prod_nombre');
											$prod_piezascaja = $db->dbField('prod_piezascaja');
											$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
											$prod_unidadesreal = $db->dbField('prod_unidadesreal');
											$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,0);															


												$html.='<tr>';
													$html.='<td>
													<b>Producto: </b>'.$prod_nombre.'<br>
													<b>Item: </b>'.$prod_item.'<br>													
													</td>';
													$html.='<td align=right>'.$CantidadRealCajas.'</td>';										
													$html.='<td align=right>'.$prod_cantidad.'</td>';										
													$html.="<td align=center>
														<a onclick=BorrarTraspaso('".$traspa_id."') class='btn btn-primary ml-auto' style='color:white'>
													BORRAR</a></td>";
												$html.='</tr>';											
												
											}//wend() 																						
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>										
</div>										
<div align=center>	
	<a href='<?php echo PATH_HOME.'traspasos-solicitar/productos'; ?>' class='btn btn-primary ml-auto' style='color:white'>
	SOLICITAR PRODUCTOS SELECCIONADOS </a> 
</div>										
<script>
function BorrarTraspaso(id){
	$.post('<?php echo PATH_HOME.'traspasos-solicitar-carritodel/'. md5(uniqid()); ?>',{
	 'traspa_id': id,
	 'CodigoTraspaso':'<?php echo $CodigoTraspaso ?>',
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 

}	
</script>										